# Class StandardGssapiAuthentication

java.lang.Object
org.mariadb.jdbc.internal.com.send.authentication.gssapi.StandardGssapiAuthentication

All Implemented Interfaces:
  `GssapiAuth`

public class StandardGssapiAuthentication extends Object implements GssapiAuth

## Constructor Summary

Constructors
Constructor
Description
`StandardGssapiAuthentication()`

## Method Summary

Modifier and Type
Method
Description
`void`
`authenticate(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence, String servicePrincipalName, String mechanisms)`
Process default GSS plugin authentication.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StandardGssapiAuthentication

public StandardGssapiAuthentication()

## Method Details

### authenticate

public void authenticate(PacketOutputStream out, PacketInputStream in, AtomicInteger sequence, String servicePrincipalName, String mechanisms) throws SQLException, IOException
Process default GSS plugin authentication.

Specified by:
  `authenticate` in interface `GssapiAuth`
Parameters:
  `out` - out stream
  `in` - in stream
  `sequence` - packet sequence
  `servicePrincipalName` - service principal name
  `mechanisms` - gssapi mechanism
Throws:
  `IOException` - if socket error
  `SQLException` - in any Exception occur